"use strict";

exports.__esModule = true;
exports.LogLevel = void 0;
exports.parseLogLevel = parseLogLevel;
// https://webpack.js.org/configuration/stats/#stats

const LogLevel = exports.LogLevel = {
  NONE: 0,
  // none
  ERRORS: 1,
  // errors-only
  MINIMAL: 2,
  // minimal
  NORMAL: 3 // normal
};
function parseLogLevel(stats) {
  let level = LogLevel.NORMAL;
  level = stats === false ? LogLevel.NONE : level;
  level = stats === 'none' ? LogLevel.NONE : level;
  level = stats === 'errors-only' ? LogLevel.ERRORS : level;
  level = stats === 'minimal' ? LogLevel.MINIMAL : level;
  return level;
}